import React from 'react'
import useDocusaurusContext from '@docusaurus/useDocusaurusContext'

const DownloadLabel = ({ version, artifact }) => {
  return <a href={`https://fitko.uber.space/${version}/${artifact}`} download>
        herunterladen
      </a>
}

export default function ({ artifact }) {
  const { siteMetadata } = useDocusaurusContext()

  return (
    <span>
      <code>{siteMetadata.siteVersion || 'next'}</code>&nbsp;
      {siteMetadata.siteVersion ? (
        <DownloadLabel version={siteMetadata.siteVersion} artifact={artifact} />
      ) : undefined }
    </span>
  )

}
